> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nevua.markets/llms.txt
> Use this file to discover all available pages before exploring further.

# Get raw volume and liquidity timeseries for a market

> Returns all raw timeseries data for a specific market, sorted by timestamp ascending.




## OpenAPI

````yaml openapi.json get /demo/markets/{marketId}/volume-raw
openapi: 3.0.0
info:
  title: Nevua Markets API
  version: 0.0.1
  license:
    name: ISC
    url: https://opensource.org/licenses/ISC
servers:
  - url: https://api.nevua.markets
    description: Production
security: []
tags: []
paths:
  /demo/markets/{marketId}/volume-raw:
    get:
      tags:
        - Demo
      summary: Get raw volume and liquidity timeseries for a market
      description: >
        Returns all raw timeseries data for a specific market, sorted by
        timestamp ascending.
      operationId: demoGetVolumeRaw
      parameters:
        - name: marketId
          in: path
          required: true
          schema:
            type: string
          description: The market ID
      responses:
        '200':
          description: Raw timeseries data
          content:
            application/json:
              schema:
                type: object
                properties:
                  marketId:
                    type: string
                  timeseries:
                    type: array
                    items:
                      type: object
                      properties:
                        timestamp:
                          type: string
                          format: date-time
                        volumeNum:
                          type: number
                        liquidityNum:
                          type: number
                  count:
                    type: integer
        '401':
          description: Unauthorized
        '404':
          description: No data found for this market
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````